import React, { PureComponent } from "react";

class VkIcon extends PureComponent {
    render() {
        return (
            <svg
                xmlns="http://www.w3.org/2000/svg"
                xmlnsXlink="http://www.w3.org/1999/xlink"
                viewBox="0 0 24.384 14.114"
            >
                <path
                    fill="currentColor"
                    d="M11.945,29.068H13.4a.877.877,0,0,0,.648-.308,1.215,1.215,0,0,0,.191-.655s-.038-1.964.877-2.273c.877-.269,2.023,1.926,3.282,2.773a2.765,2.765,0,0,0,1.641.462h3.244c.229,0,1.641-.192.915-1.5a10.912,10.912,0,0,0-2.442-2.85c-2.061-1.926-1.755-1.618.686-4.93,1.488-2,2.061-3.235,1.908-3.773-.114-.424-1.3-.347-1.3-.347H19.387a.8.8,0,0,0-.457.076.948.948,0,0,0-.3.385,18.477,18.477,0,0,1-1.372,2.889c-1.641,2.812-2.29,2.966-2.557,2.773-.61-.424-.457-1.618-.457-2.5,0-2.735.419-3.852-.8-4.16a5.326,5.326,0,0,0-1.717-.152,8.327,8.327,0,0,0-3.053.308c-.419.192-.724.655-.534.693a1.667,1.667,0,0,1,1.067.539,3.661,3.661,0,0,1,.381,1.695s.229,3.2-.5,3.583c-.5.269-1.181-.269-2.633-2.812a20.519,20.519,0,0,1-1.3-2.735,1.258,1.258,0,0,0-.3-.424,1.042,1.042,0,0,0-.572-.231H.8s-.534-.038-.724.269a.775.775,0,0,0,0,.616s2.747,6.468,5.839,9.7a8,8,0,0,0,6.03,2.889Z"
                    transform="translate(-0.013 -14.958)"
                />
            </svg>
        );
    }
}

export default VkIcon;
